Bug 198132 - [exp-run] Update Xfce to 4.12.0
Summary: [exp-run] Update Xfce to 4.12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-01 16:09 UTC by Olivier Duchateau
Modified: 2015-03-13 17:37 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)
olivierd: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2015-03-01 16:09:19 UTC
Patch [1] to update Xfce (the latest revision for Mk/bsd.port.mk is r380180).

Global changes:
- Switch to USES= xfce
- Reorganize options helper
- Fix USES= gettext-* when NLS option is not set, PR196903 and PR197251
- Add LICENSE, when missing

Update:
- to 4.12.0 (core components)
- x11-fm/thunar to 1.6.6
- x11/libexo to 0.10.3
- sysutils/garcon to 0.4.0
- deskutils/xfce4-tumbler to 0.1.31
- editors/mousepad to 0.4.0
- multimedia/xfce4-parole to 0.8.0
- graphics/ristretto to 0.8.0
- deskutils/xfce4-xkb-plugin to 0.7.1
- sysutils/xfce4-power-manager to 1.4.3

[1] https://people.freebsd.org/~olivierd/patches/xfce-4.12.diff
Comment 1 Antoine Brodin freebsd_committer 2015-03-01 17:21:39 UTC
I believe this part of the patch doesn't work,  as USES are loaded around line 1508 of bsd.port.mk:

+++ Mk/bsd.port.mk
@@ -1906,7 +1906,7 @@
 .endif
 
 .if defined(USE_XFCE)
-.include "${PORTSDIR}/Mk/bsd.xfce.mk"
+USES+=	xfce
 .endif
 
 .if defined(USE_KDE4)


During patch,  those parts fail to apply:

Skipped missing target: 'sysutils/power-manager-common/Makefile'
Skipped missing target: 'sysutils/power-manager-common/pkg-plist'


Also,  why do you need bsd.port.pre.mk/bsd.port.post.mk in sysutils/power-manager-common/Makefile ?  I believe it won't pull the dependencies correctly
Comment 2 Olivier Duchateau freebsd_committer 2015-03-02 19:23:53 UTC
(In reply to Antoine Brodin from comment #1)

New round, I hope everything is fine.

sysutils/power-manager-common has been removed. There's only sysutils/xfce4-power-manager with new patch (which fixes crash when encoding is not utf-8).
Comment 3 Olivier Duchateau freebsd_committer 2015-03-02 19:37:31 UTC
(In reply to Olivier Duchateau from comment #2)

Oops, I forgot to mention the patch,

https://people.freebsd.org/~olivierd/patches/xfce-4.12_20150302.diff
Comment 4 Antoine Brodin freebsd_committer 2015-03-02 20:28:30 UTC
Take for exp-run
Comment 6 Olivier Duchateau freebsd_committer 2015-03-03 21:19:12 UTC
(In reply to Antoine Brodin from comment #5)

New patch [1] is available.

- Remove unneeded patches in editors/mousepad
- Fix USES= gettext-* in sysutils/xfce4-fsguard-plugin and update to 1.0.2
- Update to 2.5.5, sysutils/xfce4-diskperf-plugin

[1] https://people.freebsd.org/~olivierd/patches/xfce-4.12_20150303.diff
Comment 7 Antoine Brodin freebsd_committer 2015-03-04 15:29:00 UTC
The following port has a bad dependency line:

[00:00:11] ====>> Deleting xfce4-tumbler-0.1.31.txz: new dependency: graphics/exif

-> libexif.so is not provided by graphics/exif but by graphics/libexif

The rest did build fine (tested on 84i386, 84amd64, 93i386, 93amd64, 101amd64, 101i386)
Comment 8 Olivier Duchateau freebsd_committer 2015-03-04 18:39:17 UTC
(In reply to Antoine Brodin from comment #7)

Fixed in Xfce repo, thanks.
Comment 9 Ivan 2015-03-05 09:18:24 UTC
I successfully updated to 4.12 using the patch on my workstation. Looks solid. I have a minor issue with parole, but I think it's upstream one.
Comment 10 commit-hook freebsd_committer 2015-03-05 22:53:33 UTC
A commit references this bug:

Author: olivierd
Date: Thu Mar  5 22:52:40 UTC 2015
New revision: 380565
URL: https://svnweb.freebsd.org/changeset/ports/380565

Log:
  The FreeBSD Xfce team proudly presents Xfce 4.12.

  Announce: http://www.xfce.org/about/news/?post=1425081600

  Global changes:
  - Switch to USES= xfce (D677)
  - Reorganize options helper
  - Fix USES= gettext-* when NLS option is not set [1], [2]
  - Add LICENSE (when missing)

  Update:
  - to 4.12 (core components)
  - audio/xfce4-mpc-plugin to 0.4.5
  - deskutils/xfce4-tumbler to 0.1.31
  - deskutils/xfce4-xkb-plugin to 0.7.1
  - editors/mousepad to 0.4.0
  - graphics/ristretto to 0.8.0
  - multimedia/xfce4-parole to 0.8.0
  - sysutils/garcon to 0.4.0
  - sysutils/xfce4-diskperf-plugin to 2.5.5 [3]
  - sysutils/xfce4-fsguard-plugin to 1.0.2
  - sysutils/xfce4-power-manager to 1.4.3
  - sysutils/xfce4-wavelan-plugin to 0.5.12
  - x11/libexo to 0.10.3
  - x11-fm/thunar to 1.6.6
  - x11-themes/gtk-xfce-engine to 3.2.0

  PR:		196003 [1], 197251 [2], 198132
  Differential Revision:	https://reviews.freebsd.org/D677
  Submitted by:	Kamil Szczesny [1], amdmi3@ [2], myself
  Exp-run by:	antoine@
  Approved by:	danilo@ (maintainer) [3]
  Tested by:	Ivan <enitarzi@gmail.com>

Changes:
  head/CHANGES
  head/Mk/Uses/xfce.mk
  head/Mk/bsd.xfce.mk
  head/UPDATING
  head/archivers/squeeze/Makefile
  head/archivers/squeeze/pkg-plist
  head/archivers/thunar-archive-plugin/Makefile
  head/audio/thunar-media-tags-plugin/Makefile
  head/audio/xfce4-mixer/Makefile
  head/audio/xfce4-mpc-plugin/Makefile
  head/audio/xfce4-mpc-plugin/distinfo
  head/audio/xfce4-mpc-plugin/pkg-plist
  head/audio/xfmpc/Makefile
  head/deskutils/orage/Makefile
  head/deskutils/xfce4-generic-slider/Makefile
  head/deskutils/xfce4-notes-plugin/Makefile
  head/deskutils/xfce4-notes-plugin/pkg-plist
  head/deskutils/xfce4-notification-daemon/Makefile
  head/deskutils/xfce4-notifyd/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/deskutils/xfce4-tumbler/distinfo
  head/deskutils/xfce4-tumbler/files/patch-tumblerd__tumbler.rc
  head/deskutils/xfce4-tumbler/pkg-plist
  head/deskutils/xfce4-volumed/Makefile
  head/deskutils/xfce4-volumed-pulse/Makefile
  head/deskutils/xfce4-xkb-plugin/Makefile
  head/deskutils/xfce4-xkb-plugin/distinfo
  head/deskutils/xfce4-xkb-plugin/pkg-descr
  head/deskutils/xfce4-xkb-plugin/pkg-plist
  head/devel/thunar-vcs-plugin/Makefile
  head/devel/xfce4-dev-tools/Makefile
  head/devel/xfce4-dev-tools/distinfo
  head/devel/xfce4-dev-tools/pkg-descr
  head/devel/xfce4-vala/Makefile
  head/editors/mousepad/Makefile
  head/editors/mousepad/distinfo
  head/editors/mousepad/files/
  head/editors/mousepad/pkg-descr
  head/editors/mousepad/pkg-plist
  head/graphics/ristretto/Makefile
  head/graphics/ristretto/distinfo
  head/graphics/ristretto/pkg-plist
  head/mail/xfce4-mailwatch-plugin/Makefile
  head/misc/xfce4-appfinder/Makefile
  head/misc/xfce4-appfinder/distinfo
  head/misc/xfce4-appfinder/pkg-descr
  head/misc/xfce4-appfinder/pkg-plist
  head/misc/xfce4-weather-plugin/Makefile
  head/multimedia/xfce4-parole/Makefile
  head/multimedia/xfce4-parole/distinfo
  head/multimedia/xfce4-parole/pkg-plist
  head/print/xfce4-print/Makefile
  head/science/xfce4-equake-plugin/Makefile
  head/sysutils/garcon/Makefile
  head/sysutils/garcon/distinfo
  head/sysutils/garcon/pkg-plist
  head/sysutils/gigolo/Makefile
  head/sysutils/xfburn/Makefile
  head/sysutils/xfce4-battery-plugin/Makefile
  head/sysutils/xfce4-bsdcpufreq-plugin/Makefile
  head/sysutils/xfce4-diskperf-plugin/Makefile
  head/sysutils/xfce4-diskperf-plugin/distinfo
  head/sysutils/xfce4-diskperf-plugin/files/
  head/sysutils/xfce4-diskperf-plugin/pkg-plist
  head/sysutils/xfce4-fsguard-plugin/Makefile
  head/sysutils/xfce4-fsguard-plugin/distinfo
  head/sysutils/xfce4-fsguard-plugin/pkg-plist
  head/sysutils/xfce4-genmon-plugin/Makefile
  head/sysutils/xfce4-minicmd-plugin/Makefile
  head/sysutils/xfce4-minicmd-plugin/pkg-plist
  head/sysutils/xfce4-mount-plugin/Makefile
  head/sysutils/xfce4-netload-plugin/Makefile
  head/sysutils/xfce4-power-manager/Makefile
  head/sysutils/xfce4-power-manager/distinfo
  head/sysutils/xfce4-power-manager/files/patch-config.h.in
  head/sysutils/xfce4-power-manager/files/patch-configure
  head/sysutils/xfce4-power-manager/files/patch-panel-plugins_power-manager-plugin_xfce_xfce-power-manager-plugin.c
  head/sysutils/xfce4-power-manager/files/patch-src__xfpm-battery.c
  head/sysutils/xfce4-power-manager/files/patch-src__xfpm-battery.h
  head/sysutils/xfce4-power-manager/files/patch-src__xfpm-power.c
  head/sysutils/xfce4-power-manager/files/patch-src_xfpm-power.c
  head/sysutils/xfce4-power-manager/pkg-plist
  head/sysutils/xfce4-settings/Makefile
  head/sysutils/xfce4-settings/distinfo
  head/sysutils/xfce4-settings/files/patch-dialogs__appearance-settings__appearance-install-theme
  head/sysutils/xfce4-settings/pkg-descr
  head/sysutils/xfce4-settings/pkg-plist
  head/sysutils/xfce4-systemload-plugin/Makefile
  head/sysutils/xfce4-systemload-plugin/pkg-descr
  head/sysutils/xfce4-wavelan-plugin/Makefile
  head/sysutils/xfce4-wavelan-plugin/distinfo
  head/sysutils/xfce4-wavelan-plugin/pkg-plist
  head/textproc/xfce4-dict-plugin/Makefile
  head/www/xfce4-smartbookmark-plugin/Makefile
  head/www/xfce4-smartbookmark-plugin/pkg-plist
  head/x11/libexo/Makefile
  head/x11/libexo/distinfo
  head/x11/libexo/pkg-plist
  head/x11/libxfce4menu/Makefile
  head/x11/libxfce4menu/distinfo
  head/x11/libxfce4menu/files/patch-libxfce4kbd-private__xfce-shortcut-dialog.c
  head/x11/libxfce4menu/files/patch-libxfce4kbd-private__xfce-shortcuts-grabber.c
  head/x11/libxfce4menu/pkg-descr
  head/x11/libxfce4menu/pkg-plist
  head/x11/libxfce4util/Makefile
  head/x11/libxfce4util/distinfo
  head/x11/libxfce4util/pkg-plist
  head/x11/xfce4-clipman-plugin/Makefile
  head/x11/xfce4-conf/Makefile
  head/x11/xfce4-conf/distinfo
  head/x11/xfce4-conf/files/patch-xfconf__xfconf-cache.c
  head/x11/xfce4-conf/pkg-plist
  head/x11/xfce4-dashboard/Makefile
  head/x11/xfce4-embed-plugin/Makefile
  head/x11/xfce4-quicklauncher-plugin/Makefile
  head/x11/xfce4-screenshooter-plugin/Makefile
  head/x11/xfce4-terminal/Makefile
  head/x11/xfce4-verve-plugin/Makefile
  head/x11/xfce4-whiskermenu-plugin/Makefile
  head/x11/xfce4-wmdock-plugin/Makefile
  head/x11-clocks/xfce4-datetime-plugin/Makefile
  head/x11-clocks/xfce4-timer-out-plugin/Makefile
  head/x11-clocks/xfce4-timer-plugin/Makefile
  head/x11-fm/thunar/Makefile
  head/x11-fm/thunar/distinfo
  head/x11-fm/thunar/files/patch-thunar_thunar-launcher.c
  head/x11-fm/thunar/files/patch-thunar_thunar-location-buttons.c
  head/x11-fm/thunar/files/patch-thunar_thunar-standard-view.c
  head/x11-fm/thunar/files/patch-thunar_thunar-templates-action.c
  head/x11-fm/thunar/files/patch-thunar_thunar-tree-view.c
  head/x11-fm/thunar/files/patch-thunar_thunar-window.c
  head/x11-fm/thunar/pkg-plist
  head/x11-fm/thunar-vfs/Makefile
  head/x11-fm/thunar-vfs/pkg-plist
  head/x11-themes/gtk-xfce-engine/Makefile
  head/x11-themes/gtk-xfce-engine/distinfo
  head/x11-themes/gtk-xfce-engine/pkg-descr
  head/x11-themes/gtk-xfce-engine/pkg-plist
  head/x11-toolkits/libxfce4gui/Makefile
  head/x11-toolkits/libxfce4gui/files/patch-libxfcegui4__xfce-exec.c
  head/x11-toolkits/libxfce4gui/pkg-descr
  head/x11-toolkits/libxfce4gui/pkg-plist
  head/x11-wm/xfce4/Makefile
  head/x11-wm/xfce4-desktop/Makefile
  head/x11-wm/xfce4-desktop/distinfo
  head/x11-wm/xfce4-desktop/files/
  head/x11-wm/xfce4-desktop/pkg-descr
  head/x11-wm/xfce4-desktop/pkg-plist
  head/x11-wm/xfce4-panel/Makefile
  head/x11-wm/xfce4-panel/distinfo
  head/x11-wm/xfce4-panel/files/patch-plugins_actions_actions.c
  head/x11-wm/xfce4-panel/pkg-plist
  head/x11-wm/xfce4-session/Makefile
  head/x11-wm/xfce4-session/distinfo
  head/x11-wm/xfce4-session/files/patch-xfce4-session_xfsm-shutdown-helper.c
  head/x11-wm/xfce4-session/pkg-descr
  head/x11-wm/xfce4-session/pkg-plist
  head/x11-wm/xfce4-wm/Makefile
  head/x11-wm/xfce4-wm/distinfo
  head/x11-wm/xfce4-wm/files/extrapatch-src__events.c
  head/x11-wm/xfce4-wm/files/patch-src__client.c
  head/x11-wm/xfce4-wm/pkg-descr
  head/x11-wm/xfce4-wm/pkg-plist